<?php
namespace OCA\Deckflow\AppInfo;

use OCP\AppFramework\App;
use OCP\IContainer;
use OCA\Deckflow\Controller\DeckflowController;
use OCA\Deckflow\Migrations\Version20250312000000; // Migration importieren

class Application extends App {
    public function __construct(array $urlParams = []) {
        parent::__construct('deckflow', $urlParams);

        // Controller registrieren
        $container = $this->getContainer();
        $container->registerService('DeckflowController', function (IContainer $c) {
            return new DeckflowController($c['AppName'], $c);
        });

        // Migration ausführen
        \OC::$server->getMigrationService()->registerMigration(Version20250312000000::class);

        \OC::$server->getBackgroundJobManager()->add(new WorkflowJob());

    }
}
