<?php
namespace OCA\Deckflow;

use OCP\DB\DbWrapper\SimpleDatabase;
use OCP\DB\DB;

class WorkflowRepository {

    private $db;

    public function __construct() {
        $this->db = DB::getConnection();
    }

    // Alle Workflows eines Benutzers abrufen
    public function getWorkflowsForUser($user_id) {
        $query = 'SELECT * FROM *deckflow_workflows WHERE user_id = ?';
        return $this->db->executeQuery($query, [$user_id])->fetchAll();
    }

    // Workflow erstellen
    public function createWorkflow($user_id, $deck_id, $source_stack_id, $target_stack_id) {
        $query = 'INSERT INTO *deckflow_workflows (user_id, deck_id, source_stack_id, target_stack_id, created_at) VALUES (?, ?, ?, ?, ?)';
        $this->db->executeQuery($query, [$user_id, $deck_id, $source_stack_id, $target_stack_id, date('Y-m-d H:i:s')]);
    }

    // Workflow löschen
    public function deleteWorkflow($workflow_id) {
        $query = 'DELETE FROM *deckflow_workflows WHERE id = ?';
        $this->db->executeQuery($query, [$workflow_id]);
    }

    // Workflows mit überfälligen Karten abrufen
    public function getOverdueWorkflows() {
        // Logik zum Abrufen überfälliger Karten
    }

    // Karte verschieben
    public function moveCardToTargetStack($card_id, $target_stack_id) {
        // Logik zum Verschieben von Karten
    }
}
